Home > Fedora, Free Software, Tyler B > How to add audio and video codecs to Fedora 11

How to add audio and video codecs to Fedora 11

September 3rd, 2009 Leave a comment Go to comments

By default this distro does not support non-free codecs. After a quick google search I found this quick and easy solution to add audio and video codecs to my Fedora install. Thanks again Tech Jaws.

In a root terminal run these commands

rpm -Uhv http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-rawhide.noarch.rpm http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-rawhide.noarch.rpm

and

yum install gstreamer-plugins-bad gstreamer-plugins-ugly

That should do it! Full MP3 support!

[UPDATE] I noticed that MP3 support wasn’t working in Amarok so after some googling I corrected this problem by also installing the following.

yum install libtunepimp-extras-nonfree
yum install xine-lib-extras-nonfree

  1. joe
    February 7th, 2011 at 19:04 | #1

    i tried installing

    rpm -Uhv http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-rawhide.noarch.rpm http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-rawhide.noarch.rpm

    but it failed its showing following error…

    “Retrieving http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-rawhide.noarch.rpm
    Retrieving http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-rawhide.noarch.rpm
    warning: /var/tmp/rpm-tmp.Q3NVsc: Header V3 RSA/SHA256 signature: NOKEY, key ID 00a4d52b
    warning: /var/tmp/rpm-tmp.FZAX3g: Header V3 RSA/SHA256 signature: NOKEY, key ID 6d0c8ec2
    error: Failed dependencies:
    system-release >= 15 is needed by rpmfusion-free-release-15-0.1.noarch
    rpmlib(PayloadIsXz) = 15 is needed by rpmfusion-nonfree-release-15-0.1.noarch
    rpmlib(PayloadIsXz) <= 5.2-1 is needed by rpmfusion-nonfree-release-15-0.1.noarch"

    can u help me out…

  2. MattR
    October 26th, 2011 at 11:03 | #2

    I have exactly the same issue as joe some help would be amazing with this.

  3. Tyler B
    October 26th, 2011 at 11:14 | #3

    Sorry guys I don’t run this distro anymore. It might be unsupported by now as well. Maybe try upgrading to the newest version?

  1. No trackbacks yet.